aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2019-09-03 09:27:47 +0200
committerGitHub <noreply@github.com>2019-09-03 09:27:47 +0200
commit58af64b63a3a253ab08b1410422677deac5c6618 (patch)
tree3fa605f7aeabce8685e3e905bd71e0578068089d
parent7e8f7f4c59c96897159d32771d0c7179c5474281 (diff)
parent69a5dea89ef8cbf8bcc1b761518738623e028e38 (diff)
downloadyosys-58af64b63a3a253ab08b1410422677deac5c6618.tar.gz
yosys-58af64b63a3a253ab08b1410422677deac5c6618.tar.bz2
yosys-58af64b63a3a253ab08b1410422677deac5c6618.zip
Merge pull request #1351 from emilazy/remove-which-use
Use `command -v` rather than `which`
-rwxr-xr-xtests/simple/run-test.sh2
-rwxr-xr-xtests/simple_abc9/run-test.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/simple/run-test.sh b/tests/simple/run-test.sh
index 967ac49f2..f20fd0d30 100755
--- a/tests/simple/run-test.sh
+++ b/tests/simple/run-test.sh
@@ -12,7 +12,7 @@ done
shift "$((OPTIND-1))"
# check for Icarus Verilog
-if ! which iverilog > /dev/null ; then
+if ! command -v iverilog > /dev/null ; then
echo "$0: Error: Icarus Verilog 'iverilog' not found."
exit 1
fi
diff --git a/tests/simple_abc9/run-test.sh b/tests/simple_abc9/run-test.sh
index 8df6994e3..0d4262005 100755
--- a/tests/simple_abc9/run-test.sh
+++ b/tests/simple_abc9/run-test.sh
@@ -12,7 +12,7 @@ done
shift "$((OPTIND-1))"
# check for Icarus Verilog
-if ! which iverilog > /dev/null ; then
+if ! command -v iverilog > /dev/null ; then
echo "$0: Error: Icarus Verilog 'iverilog' not found."
exit 1
fi